Bug 519637 - minicom crashes if serial port is detached
Summary: minicom crashes if serial port is detached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: minicom
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 494832
TreeView+ depends on / blocked
 
Reported: 2009-08-27 07:44 UTC by Kari Hautio
Modified: 2010-04-09 03:54 UTC (History)
2 users (show)

Fixed In Version: minicom-2.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:25:00 UTC


Attachments (Terms of Use)

Description Kari Hautio 2009-08-27 07:44:17 UTC
Description of problem:

  Minicom crashes if serial port (e.g. USB serial adapter) is detached while it's running. 

Version-Release number of selected component (if applicable):

  minicom-2.3-4.fc11.i586

How reproducible:

  Always

Steps to Reproduce:

1. Attach a USB to serial adapter
2. Start minicom on the /dev/ttyUSB0
3. Detach the USB serial adapter
4. Input something to the minicom (crash doesn't occur if no input is given)
   "yes | minicom usb" command can be used to achieve 2. and 4.
  
Actual results:

 Minicom crashes.

Expected results:

 No crash. RHEL5 version does not seem to notice that the port is gone which is OK however graceful exit might be better.

Additional info:
[root@oslaptop2 ~]# gdb /usr/bin/minicom core.13373 
GNU gdb (GDB) Fedora (6.8.50.20090302-37.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /lib/libtinfo.so.5.7...Reading symbols from /usr/lib/debug/lib/libtinfo.so.5.7.debug...done.
done.
Loaded symbols for /lib/libtinfo.so.5.7
Reading symbols from /lib/libc-2.10.1.so...Reading symbols from /usr/lib/debug/lib/libc-2.10.1.so.debug...done.
done.
Loaded symbols for /lib/libc-2.10.1.so
Reading symbols from /lib/ld-2.10.1.so...Reading symbols from /usr/lib/debug/lib/ld-2.10.1.so.debug...done.
done.
Loaded symbols for /lib/ld-2.10.1.so
Reading symbols from /lib/libnss_files-2.10.1.so...Reading symbols from /usr/lib/debug/lib/libnss_files-2.10.1.so.debug...done.
done.
Loaded symbols for /lib/libnss_files-2.10.1.so
Core was generated by `minicom usb'.
Program terminated with signal 11, Segmentation fault.
#0  _write (c=<value optimized out>, doit=<value optimized out>, 
    x=<value optimized out>, y=9, attr=0 '\0', color=112 'p') at window.c:409
409	      e->attr = attr;
(gdb) bt
#0  _write (c=<value optimized out>, doit=<value optimized out>, 
    x=<value optimized out>, y=9, attr=0 '\0', color=112 'p') at window.c:409
#1  0x0805f1aa in mc_wputc (win=0x8bf5678, c=0) at window.c:1061
#2  0x0804e874 in vt_out (ch=121) at vt100.c:1055
#3  0x080647d3 in do_terminal () at main.c:768
#4  0x0804ba79 in main (argc=2, argv=0xbfc18664) at minicom.c:1373
(gdb)

Comment 1 Fedora Update System 2010-03-10 16:06:23 UTC
minicom-2.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/minicom-2.4-1.fc13

Comment 2 Fedora Update System 2010-03-11 13:28:02 UTC
minicom-2.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update minicom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/minicom-2.4-1.fc13

Comment 3 Fedora Update System 2010-03-16 13:32:10 UTC
minicom-2.3-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/minicom-2.3-6.fc11

Comment 4 Fedora Update System 2010-03-18 03:16:49 UTC
minicom-2.3-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update minicom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/minicom-2.3-6.fc11

Comment 5 Fedora Update System 2010-04-09 01:24:55 UTC
minicom-2.3-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-04-09 03:54:12 UTC
minicom-2.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.